# serial: serial Namespace Reference

serial 1.0 Cross-platformserialportlibraryforC++

- Main Page
- Namespaces
- Data Structures
- Files

- Namespace List
- Namespace Members

All Data Structures Namespaces Files Functions Enumerations Enumerator Defines
Namespaces | Data Structures | Enumerations
serial Namespace Reference

## Namespaces

namespace | serial

## Data Structures

class | Serial
class | SerialExecption
class | IOException
class | PortNotOpenedException
class | SerialExceptionBase

## Enumerations

enum | bytesize_t { fivebits = 5, sixbits = 6, sevenbits = 7, eightbits = 8 }
enum | parity_t { parity_none = 0, parity_odd = 1, parity_even = 2 }
enum | stopbits_t { stopbits_one = 1, stopbits_one_point_five, stopbits_two = 2 }
enum | flowcontrol_t { flowcontrol_none = 0, flowcontrol_software }

## Enumeration Type Documentation

enum serial::bytesize_t

Enumeration defines the possible bytesizes for the serial port.

Enumerator:

  fivebits |
  sixbits |
  sevenbits |
  eightbits |

                 {
      fivebits = 5,
      sixbits = 6,
      sevenbits = 7,
      eightbits = 8
    } bytesize_t;

enum serial::flowcontrol_t

Enumeration defines the possible flowcontrol types for the serial port.

Enumerator:

  flowcontrol_none |
  flowcontrol_software |

                 {
      flowcontrol_none = 0,
      flowcontrol_software
    } flowcontrol_t;

enum serial::parity_t

Enumeration defines the possible parity types for the serial port.

Enumerator:

  parity_none |
  parity_odd |
  parity_even |

                 {
      parity_none = 0,
      parity_odd = 1,
      parity_even = 2
    } parity_t;

enum serial::stopbits_t

Enumeration defines the possible stopbit types for the serial port.

Enumerator:

  stopbits_one |
  stopbits_one_point_five |
  stopbits_two |

                 {
      stopbits_one = 1,
      stopbits_one_point_five,
      stopbits_two = 2
    } stopbits_t;